#!/usr/bin/env python
"""
$Id: setup.py,v 1.11 2008/05/08 16:46:02 rayg Exp $
see http://peak.telecommunity.com/DevCenter/setuptools

distribution:
python setup.py develop --install-dir=$HOME/Library/Python
python setup.py sdist
python setup.py bdist_egg
rsync -uav dist/*.tar.gz larch:/home/httpd/html/eggs/repos/metahoard/
rsync -uav dist/*.egg larch:/home/httpd/html/eggs/repos/metahoard/
use: 
python setup.py install --install-dir=$HOME/Library/Python
easy_install -d $HOME/Library/Python -vi http://larch.ssec.wisc.edu/eggs/repos metahoard
"""

# changed to support egg distribution
from setuptools import find_packages
## scypy_distutils Script
from numpy.distutils.core import setup, Extension #, find_packages

setup( name="metahoard", 
       version="0.6.2", 
       zip_safe = False,
       packages = find_packages('.'),
       install_requires=[ 'numpy', 'psycopg2', 'sqlalchemy<0.5.0', 'keoni' ],
       entry_points = { 'console_scripts': [ 'metaiasi = metahoard.iasi.main:main', 'iasi2fbf = metahoard.iasi.fbf:main', 'iasicloud = metahoard.iasi.cloud_extract:main' ] },
       ## Build fortran wrappers, uses f2py
       ## directories to search for libraries defined in setup.cfg
       ext_modules = [Extension('metahoard.iasi.avhrr_bt',
                                      [ 'metahoard/iasi/avhrr_bt.f90' ],
       #                               f2py_options = [ '--fcompiler=gfortran' ],
       #                              libraries=[],
       #                              library_dirs=[],
       #   			       include_dirs=['Src'],
       #                              extra_link_args=extra_link_args,
                                      ),
                            ],
       )
       
